Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.search
Interface ISearchResult

public interface ISearchResult

An interface that represents search results.

Method Summary
`int` | `getNumberSkipped()` Gets the number of results skipped.
`ISearchRecord[]` | `getSearchResultList()` Gets the array of `ISearchRecord`s.
`int` | `getTotalNumberOfHits()` Gets the total number of search results.
`boolean` | `isDescriptionEncoded()` Checks whether the record descriptions will be HTML encoded.
`void` | `setDescriptionEncoded(boolean encoded)` Sets whether to HTML encode the descriptions.
`void` | `setNumberSkipped(int skipped)` Sets the number of results skipped.
`void` | `setSearchResultList(ISearchRecord[] records)` Sets the `ISearchRecord` array returned by the search.
`void` | `setTotalNumberOfHits(int hits)` Sets the total number of hits returned by the search.

Method Detail

### setNumberSkipped

    public void setNumberSkipped(int skipped)

  Sets the number of results skipped.

  Parameters:
    `skipped` - number of results skipped

### getNumberSkipped

    public int getNumberSkipped()

  Gets the number of results skipped.

  Returns:
    number of results skipped

### setSearchResultList

    public void setSearchResultList(ISearchRecord[] records)

  Sets the `ISearchRecord` array returned by the search.

  Parameters:
    `records` - `ISearchRecord`. Records cannot be null and cannot contain any null elements.

### getSearchResultList

    public ISearchRecord[] getSearchResultList()

  Gets the array of `ISearchRecord`s.

  Returns:
    `ISearchRecord`

### setTotalNumberOfHits

    public void setTotalNumberOfHits(int hits)

  Sets the total number of hits returned by the search. If this value is not set, the number of `ISearchRecord`s in `setSearchResultList` will be used.

  Parameters:
    `hits` - total number of hits

### getTotalNumberOfHits

    public int getTotalNumberOfHits()

  Gets the total number of search results.

  Returns:
    total number of search results

### setDescriptionEncoded

    public void setDescriptionEncoded(boolean encoded)

  Sets whether to HTML encode the descriptions.

  Parameters:
    `encoded` - true to encode descriptions

### isDescriptionEncoded

    public boolean isDescriptionEncoded()

  Checks whether the record descriptions will be HTML encoded.

  Returns:
    boolean true if the record descriptions will be HTML encoded

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.